Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.dataretrieval
Class BaseAxisDataLocator

    java.lang.Object
      org.apache.axis2.dataretrieval.BaseAxisDataLocator

Direct Known Subclasses:
  PolicyDataLocator, SchemaDataLocator, WSDLDataLocator

    public abstract class BaseAxisDataLocator

extends java.lang.Object

BaseAxisDataLocator implements common code and serves as a base class for the supported default Axis2 dialect data locators.

Field Summary
`protected ServiceData[]` | `dataList`

Constructor Summary
`BaseAxisDataLocator()`

Method Summary
`Data[]` | `getData(DataRetrievalRequest request, MessageContext msgContext)` The default Axis2 Data locator getData API Checks data information configured in ServiceData.xml for the supported output forms: inline, url, EndpointReference.
`protected OutputForm` | `getOutputForm()`
`protected Data[]` | `outputInlineForm(MessageContext msgContext, ServiceData[] serviceData)`
`protected Data[]` | `outputLocationForm(ServiceData[] serviceData)`
`protected Data[]` | `outputReferenceForm(MessageContext msgContext, ServiceData[] serviceData)`
`protected void` | `setServiceData(ServiceData[] inServiceData)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dataList

    protected ServiceData[] dataList

Constructor Detail

### BaseAxisDataLocator

    public BaseAxisDataLocator()

Method Detail

### getData

    public Data[] getData(DataRetrievalRequest request,
                          MessageContext msgContext)
                   throws DataRetrievalException

  The default Axis2 Data locator getData API Checks data information configured in ServiceData.xml for the supported output forms: inline, url, EndpointReference.

  Note: Subclass that has its implementation of outInlineForm, outputLocationForm, and outputReferenceForm logic must implement the getData API.

  Throws:
    `DataRetrievalException`

### outputInlineForm

    protected Data[] outputInlineForm(MessageContext msgContext,
                                      ServiceData[] serviceData)
                               throws DataRetrievalException

  Throws:
    `DataRetrievalException`

### outputLocationForm

    protected Data[] outputLocationForm(ServiceData[] serviceData)
                                 throws DataRetrievalException

  Throws:
    `DataRetrievalException`

### outputReferenceForm

    protected Data[] outputReferenceForm(MessageContext msgContext,
                                         ServiceData[] serviceData)
                                  throws DataRetrievalException

  Throws:
    `DataRetrievalException`

### setServiceData

    protected void setServiceData(ServiceData[] inServiceData)

### getOutputForm

    protected OutputForm getOutputForm()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.